I am getting an error while executing extraction operation. I cant seem to make sense of the error.

Community Beginner ,
Jul 30, 2021 Jul 30, 2021

Copy link to clipboard

Copied

Here is the traceback

INFO:adobe.pdfservices.operation.pdfops.extract_pdf_operation:All validations successfully done. Beginning ExtractPDF operation execution
ERROR:root:Exception encountered while executing operation
Traceback (most recent call last):
  File "...\env\lib\site-packages\adobe\pdfservices\operation\pdfops\extract_pdf_operation.py", line 134, in execute
    ExtractPDFAPI.download_and_save(location=location, context=execution_context, file_location=file_location)
  File "...\env\lib\site-packages\adobe\pdfservices\operation\internal\service\extract_pdf_api.py", line 48, in download_and_save
    response = CPFApi.cpf_status_api(location, context)
  File "...\env\lib\site-packages\adobe\pdfservices\operation\internal\api\cpf_api.py", line 86, in cpf_status_api
    response = polling2.poll(
  File "...\env\lib\site-packages\polling2.py", line 191, in poll
    val = target(*args, **kwargs)
  File "...\env\lib\site-packages\adobe\pdfservices\operation\internal\api\cpf_api.py", line 87, in <lambda>
    lambda: http_client.process_request(http_request=http_request,
  File "...\env\lib\site-packages\adobe\pdfservices\operation\internal\http\http_client.py", line 41, in process_request
    if _handle_response_and_retry(response, success_status_codes,
  File "...\env\lib\site-packages\adobe\pdfservices\operation\internal\http\http_client.py", line 106, in _handle_response_and_retry
    raise OperationException(message="Error response received for request",
adobe.pdfservices.operation.internal.exceptions.OperationException

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "...\PDFServicesSDK-Python (Extract)Samples\adobe-dc-pdf-services-sdk-extract-python-samples\src\extractpdf\extract_txt_table_info_from_pdf.py", line 49, in <module>
    result: FileRef = extract_pdf_operation.execute(execution_context)
  File "..\env\lib\site-packages\adobe\pdfservices\operation\pdfops\extract_pdf_operation.py", line 138, in execute
    raise ServiceApiException(message=oex.error_message, error_code=oex.error_code,
adobe.pdfservices.operation.exception.exceptions.ServiceApiException: description ={"reason":"ERROR - Unexpected error","location":"","status":500,"type":""}; requestTrackingId=ZhpEpXNhixRhAwnwxJOKkuLtEFixkedy; statusCode=500; errorCode=UNKNOWN
TOPICS
PDF Extract API

Views

266

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
no replies

Have something to add?

Join the conversation
Resources